public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/i18n/
Date: Mon, 14 Mar 2022 06:34:04 +0000 (UTC)	[thread overview]
Message-ID: <1647239637.10f42ae5b68197f927e6bf95f4561cae000b7175.graaff@gentoo> (raw)

commit:     10f42ae5b68197f927e6bf95f4561cae000b7175
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 13 08:49:05 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 06:33:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10f42ae5

dev-ruby/i18n: add 1.10.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/i18n/Manifest           |  1 +
 dev-ruby/i18n/i18n-1.10.0.ebuild | 58 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-ruby/i18n/Manifest b/dev-ruby/i18n/Manifest
index 165e0e95ff8b..b207c06bc8a4 100644
--- a/dev-ruby/i18n/Manifest
+++ b/dev-ruby/i18n/Manifest
@@ -1,3 +1,4 @@
+DIST i18n-1.10.0.tar.gz 72745 BLAKE2B 0675af73a52eba29ead397623d602f9eec60ff21953e5f23ee986fa5506a3296d7f54e88ea8d30cd6ccf9eefdcb589bfd798e2ac2a76f5d93d44c47b9dbe0f49 SHA512 efbe3c0c21d84c0ad69bda4a6f46a2106b3d20470b7d06fb2e62a063ac9d4047e38098b69ed30a5d892331d63aaf75e0bc29ffa5ae1d14ab066d47cccfe342fc
 DIST i18n-1.8.10.tar.gz 67943 BLAKE2B 58e8041f8cf652627a305e3d987ff2450913d3dc919ea7aae641cb484524d17312ebd3e0ee68cde1c01091e42713ea229ccb41ed3998c6bbf772d32f855ca107 SHA512 e8b10bf380241d1e6b19250cd63e727366215b4ad7e63479a02cb81a5b46a48e06db827d9df9969c2052895646ee30c237fd17c3352a2bbfed97615bb9b6cfca
 DIST i18n-1.8.11.tar.gz 67964 BLAKE2B e603077c6eb02f6fd89bafd6c06f85c72528d5eb4388854f060f05a4b49a3782a3830366a1f11bd95b191048f29fae251002a34d55cb185ecefb3afc06bb2f36 SHA512 af8fcc307de9959b5a01a79ac3c99d3a3573630f8cdf91c21208e07d35d1a0db60f4995f1b77921c5374a1a19ad66770a107cc41fb29cf480d02be00bf90634a
 DIST i18n-1.8.9.tar.gz 67899 BLAKE2B 56113d0879cb644a49ef79aea892e4452b65df0769a9532af44083852ed85c5afc8ac68cd6ae4f42d4b68a5aa548f7d92cf69371685c65e4cb5e3b3a0e29445a SHA512 0dfe43bcb341c63b10ace733246c2005f1261bbed23f8f38298b0712aab5047a3ddd61aa8f42c9e0cf3dee6564b67c04595234a6dfcf95db30d9a0d044483505

diff --git a/dev-ruby/i18n/i18n-1.10.0.ebuild b/dev-ruby/i18n/i18n-1.10.0.ebuild
new file mode 100644
index 000000000000..0aa91c989bda
--- /dev/null
+++ b/dev-ruby/i18n/i18n-1.10.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="test"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Add Internationalization support to your Ruby application"
+HOMEPAGE="http://rails-i18n.org/"
+SRC_URI="https://github.com/svenfuchs/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/concurrent-ruby:1"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/activesupport-5.1
+	dev-ruby/bundler
+	>=dev-ruby/mocha-1.7.0
+	dev-ruby/test_declarative )"
+
+all_ruby_prepare() {
+	rm -f gemfiles/*.lock || die
+
+	# Remove optional unpackaged oj gem
+	sed -i -e '/oj/ s:^:#:' gemfiles/* || die
+
+	# Update old test dependencies
+	sed -i -e '/rake/ s/~>/>=/' -e 's/1.7.0/1.7/' -e '3igem "json"' gemfiles/* || die
+}
+
+each_ruby_test() {
+	case ${RUBY} in
+		*ruby27)
+			versions="6.0 6.1 7.0"
+			;;
+		*ruby26)
+			versions="5.2 6.0 6.1"
+			;;
+	esac
+
+	for version in ${versions} ; do
+		if has_version "dev-ruby/activesupport:${version}" ; then
+			einfo "Running tests with activesupport ${version}"
+			BUNDLE_GEMFILE="${S}/gemfiles/Gemfile.rails-${version}.x" ${RUBY} -S bundle exec ${RUBY} -S rake test || die
+		fi
+	done
+}


             reply	other threads:[~2022-03-14  6:34 UTC|newest]

Thread overview: 138+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-14  6:34 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-20  7:15 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/i18n/ Hans de Graaff
2024-12-24  8:04 Hans de Graaff
2024-11-14  4:59 Jakov Smolić
2024-11-14  4:00 Sam James
2024-11-14  4:00 Sam James
2024-11-14  4:00 Sam James
2024-11-14  3:39 Sam James
2024-10-13 20:53 Sam James
2024-10-09  7:54 Arthur Zamarin
2024-10-09  2:53 Jakov Smolić
2024-10-06 18:39 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-10-06 13:30 Jakov Smolić
2024-10-06 11:36 Sam James
2024-09-18  8:56 Hans de Graaff
2024-09-18  8:56 Hans de Graaff
2024-05-07  4:33 Hans de Graaff
2024-03-07  6:46 Hans de Graaff
2024-03-07  6:46 Hans de Graaff
2024-03-06  6:42 Hans de Graaff
2024-01-06  8:02 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-09-10 16:57 Hans de Graaff
2023-08-21  3:50 Sam James
2023-08-19  7:53 Arthur Zamarin
2023-08-19  7:46 Arthur Zamarin
2023-08-19  6:10 Sam James
2023-08-19  6:09 Sam James
2023-08-02  8:17 Sam James
2023-06-12  2:27 Sam James
2023-04-27  8:32 Hans de Graaff
2023-04-27  8:32 Hans de Graaff
2023-04-23 22:21 Sam James
2023-04-23 21:40 Sam James
2023-04-23 21:33 Sam James
2023-04-23 21:33 Sam James
2023-04-23 21:33 Sam James
2023-04-02  1:51 Sam James
2023-04-02  1:51 Sam James
2023-03-26 10:42 Hans de Graaff
2023-03-12 14:46 Hans de Graaff
2022-12-18  8:38 Sam James
2022-12-18  8:38 Sam James
2022-12-05 18:35 Hans de Graaff
2022-08-01  5:41 Hans de Graaff
2022-07-25  6:53 Hans de Graaff
2022-07-25  6:53 Hans de Graaff
2022-07-22  7:49 Agostino Sarubbo
2022-07-21  7:12 Agostino Sarubbo
2022-07-16  6:53 Hans de Graaff
2022-07-11  6:06 Hans de Graaff
2022-06-04  7:43 Hans de Graaff
2022-05-10  1:07 WANG Xuerui
2022-04-26 14:38 Sam James
2022-03-20  5:49 Hans de Graaff
2022-02-08  6:19 Hans de Graaff
2021-11-03  6:43 Hans de Graaff
2021-10-03  6:30 Hans de Graaff
2021-10-02 20:40 Sam James
2021-09-07 15:34 Marek Szuba
2021-04-10  6:17 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2021-04-04  6:53 Hans de Graaff
2021-03-08  9:29 Hans de Graaff
2021-02-13  7:55 Hans de Graaff
2021-02-02  5:56 Hans de Graaff
2021-01-07  7:48 Fabian Groffen
2021-01-07  6:45 Hans de Graaff
2021-01-03  8:05 Hans de Graaff
2020-12-20 17:24 Sam James
2020-12-20 16:44 Sam James
2020-09-14  6:09 Hans de Graaff
2020-09-14  6:09 Hans de Graaff
2020-08-21  6:57 Hans de Graaff
2020-07-24  4:19 Hans de Graaff
2020-07-20  6:15 Hans de Graaff
2020-07-20  6:15 Hans de Graaff
2020-06-05  6:28 Hans de Graaff
2020-06-05  6:28 Hans de Graaff
2020-06-05  6:28 Hans de Graaff
2020-04-25 12:44 Sergei Trofimovich
2020-04-20 17:05 Sergei Trofimovich
2020-02-15 15:24 Hans de Graaff
2020-01-13  6:33 Hans de Graaff
2020-01-11  7:41 Hans de Graaff
2020-01-09  5:51 Hans de Graaff
2020-01-08  6:28 Hans de Graaff
2019-10-05  6:02 Hans de Graaff
2019-06-30  5:37 Hans de Graaff
2019-06-30  5:37 Hans de Graaff
2019-05-13 16:51 Mikle Kolyada
2019-03-29  7:17 Hans de Graaff
2019-03-04  6:42 Hans de Graaff
2019-01-25  6:10 Hans de Graaff
2019-01-18  9:14 Hans de Graaff
2019-01-18  9:14 Hans de Graaff
2018-12-27 17:41 Matt Turner
2018-12-21  6:29 Hans de Graaff
2018-12-11  7:07 Hans de Graaff
2018-12-11  7:07 Hans de Graaff
2018-10-15  5:36 Hans de Graaff
2018-08-08  5:18 Hans de Graaff
2018-08-08  5:17 Hans de Graaff
2018-08-08  5:17 Hans de Graaff
2018-07-24 17:53 Hans de Graaff
2018-07-10 19:11 Sergei Trofimovich
2018-07-08  4:32 Hans de Graaff
2018-06-25 18:44 Hans de Graaff
2018-05-04  5:46 Hans de Graaff
2018-04-19  4:36 Hans de Graaff
2018-04-10  5:26 Hans de Graaff
2018-04-10  5:26 Hans de Graaff
2018-01-13  8:19 Hans de Graaff
2018-01-13  8:19 Hans de Graaff
2017-11-03  6:18 Hans de Graaff
2017-10-16  5:11 Hans de Graaff
2017-10-16  5:11 Hans de Graaff
2017-08-13  5:28 Hans de Graaff
2017-07-13  4:39 Hans de Graaff
2017-07-10  6:04 Hans de Graaff
2017-07-05  4:28 Hans de Graaff
2017-06-30 12:47 Alexis Ballier
2017-06-19 19:04 Hans de Graaff
2017-05-31  3:34 Hans de Graaff
2017-05-24  8:10 Michael Weber
2017-04-19  4:47 Hans de Graaff
2017-02-22  5:47 Hans de Graaff
2017-02-14  0:36 Michael Weber
2017-02-01  7:02 Hans de Graaff
2016-12-29 13:06 Hans de Graaff
2016-05-28  8:41 Hans de Graaff
2016-05-28  8:41 Hans de Graaff
2016-05-28  8:41 Hans de Graaff
2016-04-19  5:29 Hans de Graaff
2016-04-17  8:06 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1647239637.10f42ae5b68197f927e6bf95f4561cae000b7175.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox